1

I am running Kivy and Python properly when it is only Kivy as

import kivy
kivy.require('1.0.6') 

from kivy.app import App
from kivy.uix.label import Label

but when I add ArcGIS Python library called ArcPy like below

import arcpy
import kivy
kivy.require('1.0.6') 

from kivy.app import App
from kivy.uix.label import Label

I am getting following error:

Message File Name Line Position

Traceback
5
C:\Python27\ArcGIS10.4\lib\site-packages\kivy\app.py 327
C:\Python27\ArcGIS10.4\lib\site-packages\kivy\uix\widget.py 219
C:\Python27\ArcGIS10.4\lib\site-packages\kivy\graphics__init__.py 89
init kivy.graphics.instructions (kivy\graphics\instructions.c:14640) kivy\graphics\vbo.pxd 7
init kivy.graphics.vbo (kivy\graphics\vbo.c:5482) kivy\graphics\compiler.pxd 1
init kivy.graphics.compiler (kivy\graphics\compiler.c:2983) kivy\graphics\shader.pxd 5
init kivy.graphics.shader (kivy\graphics\shader.c:11990) kivy\graphics\texture.pxd 3
init kivy.graphics.texture (kivy\graphics\texture.c:31800) kivy\graphics\fbo.pxd 5
init kivy.graphics.fbo (kivy\graphics\fbo.c:7683) kivy\graphics\fbo.pyx 84 ImportError: DLL load failed: The specified procedure could not be found.

can you please let me know why this is happening and how I can fix it?

closed as off-topic by Midavalo Mar 16 '17 at 16:08

This question appears to be off-topic. The users who voted to close gave this specific reason:

If this question can be reworded to fit the rules in the help center, please edit the question.